Modify

Opened 9 years ago

Closed 8 years ago

Last modified 8 years ago

#2412 closed Tasks (fixed)

Remove deprecated hash headers.

Reported by: danieljames Owned by: danieljames
Milestone: Boost 1.39.0 Component: hash
Version: Boost Development Trunk Severity: Cosmetic
Keywords: Cc:

Description

I deprecated some of the hash headers a while ago, these should be removed in the future. In [49340] I changed the warnings in these headers, this will probably be released in 1.38.0. And then in a future release (possibly 1.39.0) I'll remove them.

Attachments (0)

Change History (6)

comment:1 Changed 9 years ago by danieljames

(In [49341]) Add note about changes to deprecated headers. Refs #2412.

comment:2 Changed 9 years ago by danieljames

(In [49597]) Merge error messages for old hash headers.

Merged revisions 49339-49341,49541 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r49339 | danieljames | 2008-10-15 11:25:07 +0100 (Wed, 15 Oct 2008) | 1 line

Note about change in boost 1.37.

........

r49340 | danieljames | 2008-10-15 11:26:55 +0100 (Wed, 15 Oct 2008) | 4 lines

Changed the warnings in the deprecated headers from 1.34.0 to errors. These will be removed in a future version of Boost (probably 1.39.0).

........

r49341 | danieljames | 2008-10-15 11:34:15 +0100 (Wed, 15 Oct 2008) | 2 lines

Add note about changes to deprecated headers. Refs #2412.

........

r49541 | danieljames | 2008-11-02 22:32:00 +0000 (Sun, 02 Nov 2008) | 3 lines

Slightly more accurated comment - now that the headers cause errors, they've moved past the deprecation stage (I think).

........

comment:3 Changed 8 years ago by danieljames

  • Status changed from new to assigned

comment:4 Changed 8 years ago by danieljames

  • Resolution set to fixed
  • Status changed from assigned to closed

(In [51646]) Remove deprecated headers.

Fixes #2412.

comment:5 Changed 8 years ago by danieljames

(In [51729]) Merge hash and unordered changes.

Remove deprecated headers, move hash_fwd.hpp into hash subdirectory. And several minor internal changes. Mostly minor internal details.

Merged revisions 51262-51263,51407-51409,51504-51505,51644-51646,51667 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r51262 | danieljames | 2009-02-15 19:32:04 +0000 (Sun, 15 Feb 2009) | 1 line

Use the new 'boost:' links for the hash, unordered and quickbook documentation.

........

r51263 | danieljames | 2009-02-15 19:32:19 +0000 (Sun, 15 Feb 2009) | 2 lines

Don't copy images for the standalone hash and unordered documentation, was only really required before the libraries were integrated into boost.

........

r51407 | danieljames | 2009-02-22 23:49:51 +0000 (Sun, 22 Feb 2009) | 1 line

Fix the hash dirname.

........

r51408 | danieljames | 2009-02-22 23:50:04 +0000 (Sun, 22 Feb 2009) | 1 line

Make copy_buckets and move_buckets member functions - so that calling them is a bit simpler.

........

r51409 | danieljames | 2009-02-22 23:50:20 +0000 (Sun, 22 Feb 2009) | 1 line

Move some of the data structure classes out of hash table data.

........

r51504 | danieljames | 2009-03-01 14:15:09 +0000 (Sun, 01 Mar 2009) | 1 line

Add missing return for operator=.

........

r51505 | danieljames | 2009-03-01 14:15:39 +0000 (Sun, 01 Mar 2009) | 3 lines

Make the sort stable.

Doesn't really matter, but it might as well be.

........

r51644 | danieljames | 2009-03-08 09:44:51 +0000 (Sun, 08 Mar 2009) | 1 line

Detab.

........

r51645 | danieljames | 2009-03-08 09:45:11 +0000 (Sun, 08 Mar 2009) | 4 lines

Move hash_fwd into the hash subdirectory.

I should have done this in the last release. But now all of the hash implementation is in the hash subdirectory.

........

r51646 | danieljames | 2009-03-08 09:45:30 +0000 (Sun, 08 Mar 2009) | 3 lines

Remove deprecated headers.

Fixes #2412.

........

r51667 | danieljames | 2009-03-09 20:56:23 +0000 (Mon, 09 Mar 2009) | 1 line

Update copyright dates in hash and unordered.

........

comment:6 Changed 8 years ago by anonymous

  • Milestone changed from To Be Determined to Boost 1.39.0

Add Comment

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain danieljames.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.